Package com.independentsoft.office.diagrams

# Class ColorTransformHeader

java.lang.Object
com.independentsoft.office.diagrams.ColorTransformHeader

public class ColorTransformHeader extends Object
The Class ColorTransformHeader.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorTransformHeader()`
  Instantiates a new color transform header.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColorTransformHeader`
  `clone()`
  `List<Category>`
  `getCategories()`
  Gets the categories.
  `List<Description>`
  `getDescriptions()`
  Gets the descriptions.
  `String`
  `getMinimumVersion()`
  Gets the minimum version.
  `String`
  `getResourceID()`
  Gets the resource id.
  `List<Title>`
  `getTitles()`
  Gets the titles.
  `String`
  `getUniqueID()`
  Gets the unique id.
  `void`
  `setMinimumVersion​(String minimumVersion)`
  Sets the minimum version.
  `void`
  `setResourceID​(String resourceID)`
  Sets the resource id.
  `void`
  `setUniqueID​(String uniqueID)`
  Sets the unique id.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColorTransformHeader

    public ColorTransformHeader()
    Instantiates a new color transform header.

- ## Method Details

  - ### clone

    public ColorTransformHeader clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCategories

    public List<Category> getCategories()
    Gets the categories.
    Returns:
      the categories

  - ### getDescriptions

    public List<Description> getDescriptions()
    Gets the descriptions.
    Returns:
      the descriptions

  - ### getTitles

    public List<Title> getTitles()
    Gets the titles.
    Returns:
      the titles

  - ### getMinimumVersion

    public String getMinimumVersion()
    Gets the minimum version.
    Returns:
      the minimum version

  - ### setMinimumVersion

    public void setMinimumVersion​(String minimumVersion)
    Sets the minimum version.
    Parameters:
      `minimumVersion` - the new minimum version

  - ### getResourceID

    public String getResourceID()
    Gets the resource id.
    Returns:
      the resource id

  - ### setResourceID

    public void setResourceID​(String resourceID)
    Sets the resource id.
    Parameters:
      `resourceID` - the new resource id

  - ### getUniqueID

    public String getUniqueID()
    Gets the unique id.
    Returns:
      the unique id

  - ### setUniqueID

    public void setUniqueID​(String uniqueID)
    Sets the unique id.
    Parameters:
      `uniqueID` - the new unique id